Namespace
Date: 2016-07-03

com.icl.saxon.om

## Class Namespace

- java.lang.Object
- - com.icl.saxon.om.Namespace

-     public class Namespace
      extends java.lang.Object

  An object representing a Namespace

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DTD` Fixed namespace name for SAXON DTD extension: "http://icl.com/saxon/dtd"
    `static java.lang.String` | `EXSLT_COMMON` Fixed namespace name for EXSLT/Common: "http://exslt.org/common"
    `static java.lang.String` | `EXSLT_DATES_AND_TIMES` Fixed namespace name for EXSLT/date: "http://exslt.org/dates-and-times"
    `static java.lang.String` | `EXSLT_FUNCTIONS` Fixed namespace name for EXSLT/functions: "http://exslt.org/functions"
    `static short` | `EXSLT_FUNCTIONS_CODE`
    `static java.lang.String` | `EXSLT_MATH` Fixed namespace name for EXSLT/math: "http://exslt.org/math"
    `static java.lang.String` | `EXSLT_SETS` Fixed namespace name for EXSLT/sets: "http://exslt.org/sets"
    `static java.lang.String` | `MICROSOFT_XSL` Recognize the Microsoft namespace so we can give a suitably sarcastic error message
    `static java.lang.String` | `NULL` Null namespace
    `static short` | `NULL_CODE`
    `static java.lang.String` | `SAXON` Fixed namespace name for SAXON: "http://icl.com/saxon"
    `static short` | `SAXON_CODE`
    `static java.lang.String` | `XML` Fixed namespace name for XML: "http://www.w3.org/XML/1998/namespace".
    `static short` | `XML_CODE`
    `static java.lang.String` | `XMLNS` Fixed namespace name for XMLNS: "http://www.w3.org/2000/xmlns/".
    `static java.lang.String` | `XSLT` Fixed namespace name for XSLT: "http://www.w3.org/1999/XSL/Transform"
    `static short` | `XSLT_CODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Namespace()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final java.lang.String NULL

      Null namespace
      See Also:
        Constant Field Values

    - #### NULL_CODE

          public static final short NULL_CODE

      See Also:
        Constant Field Values

    - #### XML

          public static final java.lang.String XML

      Fixed namespace name for XML: "http://www.w3.org/XML/1998/namespace".
      See Also:
        Constant Field Values

    - #### XML_CODE

          public static final short XML_CODE

      See Also:
        Constant Field Values

    - #### XMLNS

          public static final java.lang.String XMLNS

      Fixed namespace name for XMLNS: "http://www.w3.org/2000/xmlns/". Actually, no namespace URL is defined for the "xmlns" prefix, in the namespaces recommendation, this value is taken from the DOM Level 2 spec.
      See Also:
        Constant Field Values

    - #### XSLT

          public static final java.lang.String XSLT

      Fixed namespace name for XSLT: "http://www.w3.org/1999/XSL/Transform"
      See Also:
        Constant Field Values

    - #### XSLT_CODE

          public static final short XSLT_CODE

      See Also:
        Constant Field Values

    - #### SAXON

          public static final java.lang.String SAXON

      Fixed namespace name for SAXON: "http://icl.com/saxon"
      See Also:
        Constant Field Values

    - #### SAXON_CODE

          public static final short SAXON_CODE

      See Also:
        Constant Field Values

    - #### DTD

          public static final java.lang.String DTD

      Fixed namespace name for SAXON DTD extension: "http://icl.com/saxon/dtd"
      See Also:
        Constant Field Values

    - #### EXSLT_COMMON

          public static final java.lang.String EXSLT_COMMON

      Fixed namespace name for EXSLT/Common: "http://exslt.org/common"
      See Also:
        Constant Field Values

    - #### EXSLT_MATH

          public static final java.lang.String EXSLT_MATH

      Fixed namespace name for EXSLT/math: "http://exslt.org/math"
      See Also:
        Constant Field Values

    - #### EXSLT_SETS

          public static final java.lang.String EXSLT_SETS

      Fixed namespace name for EXSLT/sets: "http://exslt.org/sets"
      See Also:
        Constant Field Values

    - #### EXSLT_DATES_AND_TIMES

          public static final java.lang.String EXSLT_DATES_AND_TIMES

      Fixed namespace name for EXSLT/date: "http://exslt.org/dates-and-times"
      See Also:
        Constant Field Values

    - #### EXSLT_FUNCTIONS

          public static final java.lang.String EXSLT_FUNCTIONS

      Fixed namespace name for EXSLT/functions: "http://exslt.org/functions"
      See Also:
        Constant Field Values

    - #### EXSLT_FUNCTIONS_CODE

          public static final short EXSLT_FUNCTIONS_CODE

      See Also:
        Constant Field Values

    - #### MICROSOFT_XSL

          public static final java.lang.String MICROSOFT_XSL

      Recognize the Microsoft namespace so we can give a suitably sarcastic error message
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Namespace

          public Namespace()